---
- name: Deploy FluxCD
  kubernetes.core.helm:
    name: "{{ k8s_fluxcd_release }}"
    chart_ref: "{{ k8s_fluxcd_helm_chart }}"
    chart_version: "{{ k8s_fluxcd_helm_chart_version }}"
    release_namespace: "{{ k8s_fluxcd_namespace }}"
    create_namespace: true
    state: present
    update_repo_cache: true
    values: "{{ lookup('template', 'values.yml.j2') | from_yaml }}"
